Bug 73859 - Leaves empty directories after uninstallation
Leaves empty directories after uninstallation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: perl-Net-DNS (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-12 07:24 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.49-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-09 04:44:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-12 07:24:15 EDT
Description of Problem:

perl-Net-DNS creates directories while installation but does not
removes them on uninstallation.


Version-Release number of selected component (if applicable):

perl-Net-DNS-0.26-2


How Reproducible:

100%


Steps to Reproduce:
1. ls -d /usr/lib/perl5/vendor_perl/5.8.0/Net
2. rpm -U perl-Net-DNS-0.26-2.noarch.rpm
3. rpm -e perl-Net-DNS
4. ls -d /usr/lib/perl5/vendor_perl/5.8.0/Net

Actual Results:

'ls: /usr/lib/perl5/vendor_perl/5.8.0/Net: No such file or directory' at 1.

'/usr/lib/perl5/vendor_perl/5.8.0/Net' at 4.


Expected Results:

same output at 1. and 4.


Additional Information:

When adding

| for i in installarchlib vendorlib; do
| 	eval $(perl "-V:$i")
| 	dir=$(eval echo \$$i)
| 
| 	find "${RPM_BUILD_ROOT}${dir}" -type d -mindepth 1 ! -empty -print |	\
| 		sed "s@^$RPM_BUILD_ROOT@%dir @g"
| done | sort -u >> %{modname}-%{version}-filelist

to the file-finding section in the spec-file, this class of bugs can
be fixed for all perl-XXX packages.
Comment 1 Enrico Scholz 2002-09-12 07:27:25 EDT
Before the 'find ...'

an

| echo "%exclude %dir ${dir}"

is missing
Comment 2 Warren Togami 2005-04-08 21:58:23 EDT
Is this still an issue?
Comment 3 Ville Skyttä 2005-04-09 04:44:01 EDT
Nope, it's fixed in 0.49-1.

Note You need to log in before you can comment on or make changes to this bug.